2022-01-21  TANAKA Takuji  <ttk@t-lab.opal.ne.jp>

	* uniblock.c, main.c: Update references Unicode blocks Blocks-14.0.0.txt.
	* COPYRIGHT: Update copyright year.
	* version.h, configure{,.ac}: Bump version to 20220121.

2021-07-13  Hironobu Yamashita  <h.y.acetaminophen@gmail.com>

	* makejvf.1: Document -O option added in version 20200412.

2021-01-12  Hironobu Yamashita  <h.y.acetaminophen@gmail.com>

	* main.c: Add size check to avoid segmentation fault.
	https://tug.org/pipermail/tlbuild/2021q1/004796.html

2020-04-12  TANAKA Takuji  <ttk@t-lab.opal.ne.jp>

	* main.c, write.c, makejvf.h:
	Add -O option: Omit entries in VF for characters with default metric.
	* version.h, configure{,.ac}: Bump version.
	* tests/skipjfmp_omit.vf: New test files.
	* Makefile.am, makejvf.test: Add new tests.
	Thanks to @aminophen for help.
	https://github.com/texjporg/tex-jp-build/issues/99

2020-02-16  TANAKA Takuji  <ttk@t-lab.opal.ne.jp>

	* uniblock.c, main.c: Update references Unicode blocks Blocks-13.0.0.txt
	and CMap files. More strictly check an index.
	* COPYRIGHT: Update copyright years.
	* version.h: Bump version.

2019-02-23  Akira Kakuto  <kakuto@w32tex.org>

	* main.c: Support old compiler.
	* tfmread.c: Allocate one more byte for nbuff in tfmget().

2019-02-23  Hironobu Yamashita  <h.y.acetaminophen@gmail.com>

	* main.c, tfmread.c: Forbid invalid usages.
	  - Make sure the output TFM does not have the same
	    basename as the input TFM.
	  - Options -J, -U, -3, -H are useless in non-UCS mode,
	    throw a warning and ignore.
	  - Options -J and -U cannot be used at the same time,
	    throw an error.
	* version.h: Bump version.

2019-02-19  Hironobu Yamashita  <h.y.acetaminophen@gmail.com>

	* tfmread.c, tool.c: Avoid compiler warnings for fgetc().
	* tfmread.c, write.c: Security fix for too long file names.
	* write.c (writevfu): Removed unnecessary conditionals.
	Thanks to @ngothan for a report by covscan.
	https://github.com/TeX-Live/texlive-source/issues/11

2019-02-10  TANAKA Takuji  <ttk@t-lab.opal.ne.jp>

	* uniblock.c: Update references Unicode blocks Blocks-12.0.0.txt
	and CMap files.
	* COPYRIGHT: Update copyright years.
	* version.h: Bump version.

2019-01-23  Hironobu Yamashita  <h.y.acetaminophen@gmail.com>

	* makejvf.1: Add fallback TeX and LaTeX logos.

2018-08-18  Hironobu Yamashita  <h.y.acetaminophen@gmail.com>

	* tfmread.c: Do not check GLUEKERN table in non-enhanced mode.
	* version.h: Bump version.

2018-03-15  TANAKA Takuji  <ttk@t-lab.opal.ne.jp>

	* usrtable.c: Do not initialize CHARSET flag at
	continuous lines of a CHARSET entry.
	* version.h: Bump version.

2018-03-03  TANAKA Takuji  <ttk@t-lab.opal.ne.jp>

	* write.c: Add U+2329, U+232A, U+301A, U+301B, U+FE59..FE5E.
	* version.h: Bump version.

2018-02-23  Hironobu Yamashita  <h.y.acetaminophen@gmail.com>

	* main.c, makejvf.1: Improve help message and manual.
	* usrtable.c: Initialize CHARSET flag at other commands or an
	empty line. Make an error message more clear.
	* version.h: Bump version.

2018-02-17  Hironobu Yamashita  <h.y.acetaminophen@gmail.com>

	* write.c: Add U+301E.
	* version.h: Bump version.

2018-02-02  Hironobu Yamashita  <h.y.acetaminophen@gmail.com>

	* tfmread.c: Support SKIP property in GLUEKERN table.
	* write.c: Remove warning message on enhanced mode (hoping
	  well-tested).
	* version.h: Bump version.
	* tests/{gkhugeok,skipjfmp}.{tfm,vf}: New test files.
	* Makefile.am, makejvf.test: Add new tests.

2018-01-27  Hironobu Yamashita  <h.y.acetaminophen@gmail.com>

	* tfmread.c: Support new JFM spec (3-byte characters in TYPE > 0).
	* version.h: Bump version.
	* tests/testnewu.{tfm,vf}, tests/uni10.cnf: New test files.
	* Makefile.am, makejvf.test: Add new tests.
	* makejvf.1 (.TH): use 1 instead of L, per Debian.

2018-01-14  TANAKA Takuji  <ttk@t-lab.opal.ne.jp>

	* uniblock.c: Update references Unicode blocks Blocks-10.0.0.txt
	and CMap files.
	* COPYRIGHT: Update copyright years.
	* version.h: Bump version.

2017-08-29  Hironobu Yamashita  <h.y.acetaminophen@gmail.com>

	* makejvf.1: Updated manual based on version 20170828.

2017-08-28  TANAKA Takuji  <ttk@t-lab.opal.ne.jp>

	makejvf version 20170828.
	Largely contributed by H. Yamashita-san.
	* usrtable.[ch]: New files to support a configuration file.
	* main.c, write.c, uniblock.[ch], makejvf.h: Support a configuration file.
	* Makefile.{am,in}: Add usrtable.[ch].
	* version.h: Bump version.

2017-08-01  Hironobu Yamashita  <h.y.acetaminophen@gmail.com>

	makejvf version 20170801.
	* write.c: Simplify code, add more hankaku characters.
	* version.h: Bump version.

2017-07-31  Hironobu Yamashita  <h.y.acetaminophen@gmail.com>

	makejvf version 20170731.
	* tfmread.c: Support large GLUEKERN table.
	* write.c: Add support for 0x00AB and 0x00BB in writevfu().
	* version.h: Bump version.

2017-07-24  Hironobu Yamashita  <h.y.acetaminophen@gmail.com>

	* tfmread.c, makejvf.h: More efficient code. Note that
	GLUEKERN table parser is still not working for nl > 255.

2017-07-23  Hironobu Yamashita  <h.y.acetaminophen@gmail.com>

	* write.c: Trivial change to avoid round-off error in
	tmin10.vf test on i386 environment. Report from Mojca:
	http://tug.org/pipermail/tlbuild/2017q3/003866.html

2017-07-20  Hironobu Yamashita  <h.y.acetaminophen@gmail.com>

	makejvf version 20170720.
	* tfmread.c, makejvf.h: Declare "rightamount" as signed,
	to be consistent with "skip" in write.c.
	* write.c: Improve -m option for UCS mode.
	* version.h: Bump version.
	* makejvf.1: Add documentation of -m option.

2017-07-17  Hironobu Yamashita  <h.y.acetaminophen@gmail.com>

	makejvf version 20170717.
	* Makefile.am: Add version.h.
	* main.c: Move version declaration to version.h.
	* makejvf.h, tfmread.c, write.c: Improve enhanced mode;
	More compatible with normal mode, by reading glue/kern table
	more deliberately.
	* version.h: Added.
	* makejvf.1: Update.

2017-07-16  Hironobu Yamashita  <h.y.acetaminophen@gmail.com>

	makejvf version 20170716.
	* COPYRIGHT: Add Takuji Tanaka and Japanese TeX Development
	Community to the author.
	* main.c, makejvf.h, tfmread.c, write.c: Add enhanced mode;
	If -e option is specified, horizontal shift amount for each
	characters are determined from glue/kern table of input JFM.

2017-07-15  Hironobu Yamashita  <h.y.acetaminophen@gmail.com>

	* main.c, makejvf.h, uniblock.[ch], write.c: Move more non-Kanji
	Unicode blocks to non-Kanji TFM on UCS mode. Support output of
	Hankaku-kana PS TFM.

2017-07-12  Hironobu Yamashita  <h.y.acetaminophen@gmail.com>

	* write.c: Fix a bug in generating non-Kanji TFM on UCS mode.
	Now all non-Kanji char codes are included in non-Kanji TFM.
	* makejvf.1: -a and -k options are never supported, per README.txt.

2017-07-11  Hironobu Yamashita  <h.y.acetaminophen@gmail.com>

	* write.c: Fix a bug which occurs when -3 and -K are used at
	the same time (Thanks Takayuki YATO). Char code consistency in
	AFM parsing (though -a option is never supported).

2017-07-10  Hironobu Yamashita  <h.y.acetaminophen@gmail.com>

	* write.c: Fix a bug in -m option on UCS mode.

2017-07-01  Hironobu Yamashita  <h.y.acetaminophen@gmail.com>

	* makejvf.1: More detailed description in English.
	* tests/min10.{tfm,vf}: Remove redundant entry JIS 2577.
	* tests/tmin10.vf, makejvf.test: Correct command-line option.
	Now all test files are the same with ptex-fonts.

2017-01-15  TANAKA Takuji  <ttk@t-lab.opal.ne.jp>

	Update for upTeX-1.22.
	* uniblock.c: Update references Unicode blocks Blocks-9.0.0.txt.
	* main.c: Update version number.
	* COPYRIGHT.ja: Rename from COPYRIGHT.jis and convert
	encoding to UTF-8

2016-12-16  Hironobu Yamashita  <h.y.acetaminophen@gmail.com>

	New file makejvf.1.
	* Makefile.am: Add makejvf.1.

2016-02-20  TANAKA Takuji  <ttk@t-lab.opal.ne.jp>

	Update for upTeX-1.21.
	* uniblock.c: Update references Unicode blocks Blocks-8.0.0.txt
	and CMap files.
	* main.c: Update version number.

2015-07-07  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* Makefile.am: Better dependencies for 'make check'.

2015-03-10  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* configure.ac: Drop checks for strdup and strtol.

2014-12-29  TANAKA Takuji  <ttk@t-lab.opal.ne.jp>

	Update for upTeX-1.20.
	* uniblock.c: Update references Unicode blocks Blocks-7.0.0.txt
	and CMap files.
	* main.c: Update version number.

2014-06-16  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* Makefile.am: Drop the obsolete ACLOCAL_AMFLAGS.

2013-12-11  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* tests/min10.tfm, tests/tmin10.vf: Update from Master.
	* makejvf.test: Now exact match of test output.

2013-06-28  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* main.c, tfmread.c, tool.c, write.c: Always first include
	<kpathsea/config.h>.

2012-12-07  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* tfmread.c: Drop unused variable (gcc-4.6 warning).

2012-11-19  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* Makefile.am: Avoid use of deprecated INCLUDES.

2012-09-21  Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	* main.c (main): add break;.

2012-09-04  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* main.c: Use xmalloc() and xstrdup().  Use getopt() to parse
	options, avoiding segmentation fault for missing parameters.
	* tfmread.c: Use xmalloc().
	* makejvf.test: Test options '-k0 -a abc'.

2012-09-02  Peter Breitenlohner  <peb@mppmu.mpg.de>

	Remove W32TeX/TL diffs (from Akira).
	* main.c: Use "sjis" file encoding.
	Use kpse_find_file() to locate AFM file.
	Use FILESTRCASEEQ() and xbasename().

2012-08-23  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* tool.c: Drop useless '#include <strings.h>'.

2012-07-01  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* tfmread.c: Use fopen() mode "rb" for TFM file.
	* main.c, tfmread.c, write.c: Use 8-bit exit() codes.

2012-04-29  Norbert Preining  <preining@logic.at>

	Update for upTeX-1.10. From TANAKA Takuji <KXD02663@nifty.ne.jp>.
	* uniblock.c: Update references Unicode blocks Blocks-6.1.0.txt
	and CMap files.
	* main.c: Update version number. Revise help messages.

2012-01-17  Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	* write.c: binary write mode for tfm and vf on Windows.

2012-01-16  Peter Breitenlohner  <peb@mppmu.mpg.de>

	Update for upTeX-1.00. From TANAKA Takuji <KXD02663@nifty.ne.jp>.
	* uniblock.[ch]: New files.
	* main.c, makejvf.h, write.c: Use the new files.
	* Makefile.am (makejvf_SOURCES): Add the new files.
	(EXTRA_DIST): Drop Makefile.orig.

2011-04-19  Peter Breitenlohner  <peb@mppmu.mpg.de>

	Avoid 'differ in signedness' warnings.
	* tfmread.c (header, char_type, char_info): Declare as unsigned.

2010-05-01  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* makejvf.test (new): Shell script for 'make check' test.
	* tests/[t]min10.{tfm,vf}, tests/rml[v].tfm (new): Test data.
	* Makefile.am: Adjust.

2010-04-16  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* write.c (writevf): Initialize height.  From Sadayuki Tanaka
	<s-tanaka@asciimw.jp>, 16 Apr 2010 16:30:22.

2010-04-15  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* tool.c: #include "makejvf.h" for prototypes.
	(utri, tri, pair, mget, uftri, ftri, fskip, cutspace, gethex,
	getdec): Don't compile unused functions.
	(fputnum): Drop unused local variable.
	* tfmread.c (tfmget): Drop unused local variables.
	* makejvf.h, write.c: Change return type of vfclose() and
	maketfm() from int to void.

2010-04-12  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* Makefile: Renamed => Makefile.orig.
	* Makefile.am (EXTRA_DIST): Add Makefile.orig.
